﻿/*
**	暗号化PDFの画像変換サンプル
**
Copyright(c)株式会社・トラスト・ソフトウェア・システム,All Rights Reserved.
*/

using System;
using PDFTools.PdfImagerLP;

namespace enc
{
	class Enc
	{
		public static void Usage(string[] args)
		{
			Console.WriteLine(
				"Usage: {0} PDF-file-path owner-password user-password",
				"Enc.exe");
		}

		static void Main(string[] args)
		{
			if (args.Length < 3)
			{
				Usage(args);
				Environment.Exit(1);
			}

			//初期化
			PdfImager imgr = new PdfImager();
            if (imgr.Initialize("0-xxxx-7H5GKW7E336R") != 0)	//正しいライセンスキーに書き換えてください。
			{
				Console.WriteLine("初期化に失敗しました。");
				Environment.Exit(2);
			}

			//PDF文書オープン
			switch (imgr.OpenDoc(args[0], args[1], args[2]))
			{
				case 0:
					break;
				case err.MLP_FILE_NOT_DECRYPTED:
					if (imgr.OpenDoc(args[0], "pswd", "Nttdata01") != 0)  //適切なパスワードに替えてください。
					{
						Console.WriteLine("PDFファイル'{0}'を復号できませんでした。", args[0]);
						Environment.Exit(3);
					}
					break;
				default:
					Console.WriteLine("PDFファイル'{0}'を開けませんでした。", args[0]);
					Environment.Exit(4);
					break;
			}

			//画像ファイル生成
			imgr.CreatePict(1, "out.jpg");

			//文書クローズ
			imgr.CloseDoc();

			//後始末
			imgr.Uninitialize();
		}
	}
}
